﻿// See https://aka.ms/new-console-template for more information


using Spire.Xls;

Console.WriteLine("Configuring...");

Workbook workbook = new Workbook();

try
{
    Console.WriteLine("Loading File");
    workbook.LoadFromFile("Sample.xlsx");

    var volumesWorksheet = workbook.Worksheets["Volume"];

    volumesWorksheet.Range[1, 255].DateTimeValue = DateTime.Today;
    volumesWorksheet.Range[2, 255].NumberValue = 1_000_000;
    volumesWorksheet.Range[3, 255].NumberValue = 2_000_000;
    volumesWorksheet.Range[4, 255].NumberValue = 3_000_000;

    volumesWorksheet.Range[2, 255, 4, 255].NumberFormat = "0";

    workbook.CalculateAllValue();
    workbook.SaveToFile("Sample Updated.xlsx");
    workbook.Dispose();

}
catch (Exception ex)
{
    Console.WriteLine(ex.Message);
}